<script>
(function($){  
    $(document).ready(function() {        
        $("#chkFactIgualUsuario").click(function (e) {                        
            $("#contacto_fact").val($("#contacto_corp").val());            
            $("#direccion_fact").val($("#direccion_corp").val());
            $("#id_pais_fact").val($("#id_pais_corp").val());
            $("#id_estado_fact").val($("#id_estado_corp").val());
            $("#ciudad_fact").val($("#ciudad_corp").val());
            $("#telefono_fact").val($("#telefono_corp").val());
            $("#zip_fact").val($("#zip_corp").val());            
        });
        
        $("#id_pais_corp, #id_pais_fact").change(function () {
            var $select = $($(this).attr("data-target"));
            var id = $select.attr("id");
            
            $.ajax({
                url: "index.php?controller=mapa&task=obtenerDepartamentos",
                data: { "format" : "raw", "id_pais" : $(this).val() },
                success: function (res) {
                    var json = $.parseJSON(res);
                    if (json.length > 0){
                        $select.replaceWith(function() {
                            var $_select = $('<select class="radius" name="' + id + '" id="' + id + '"></select>');
                            $.each(json, function(i, o) {
                                $_select.append("<option value='" + o.id + "'>" + o.nombre + "</option>");
                            });
                            
                            return $_select;
                        });    
                    }
                    else{
                        $select.replaceWith('<input class="radius" type="text" name="' + id + '" id="' + id + '" />');
                    }
                }
            });
        });
    });
})(jQuery.noConflict());
</script>
{% if jusuario.id == 0 %}
    <h4 class="encabezadoLogin">Create an account</h4>        	
{% else %}
    <h4 class="encabezadoLogin">Update your account</h4>
{% endif %}
<form action="index.php?controller=usuario&task=guardarUsuario" id="formCrearUsuario" name="formCrearUsuario" method="post" data-abide>    
    <fieldset>
        <legend>Corporate information</legend>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="nombre">
                    <strong>Company Name</strong>
                    <input class="radius" type="text" id="nombre" name="nombre" value="{{ compania.nombre }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="email">
                    <strong>Email</strong>
                    <input class="radius" type="email" name="email" id="email" value="{{ jusuario.email }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="password">
                    <strong>Password</strong>
                    <input class="radius" type="password" id="password" name="password" value="" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="direccion_corp">
                    <strong>Address</strong>
                    <input class="radius" type="text" id="direccion_corp" name="direccion_corp" value="{{ compania.direccion_corp }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="zip_corp">
                    <strong>Zip code</strong>
                    <input class="radius" type="text" id="zip_corp" name="zip_corp" value="{{ compania.zip_corp }}" required />
                </label>
            </div>
        </div> 
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="id_pais_corp">
                    <strong>Country</strong>
                    <select class="radius" name="id_pais_corp" id="id_pais_corp" data-target="#id_estado_corp" required>
                        <option value="">Select a country</option>                        
                        {% for p in paises %}
                        <option value="{{ p.id }}" {% if p.id == compania.id_pais_corp %}selected{% endif %}>{{ p.nombre|raw }}</option>
                        {% endfor %}
                    </select>
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="id_estadp_corp">
                    <strong>State</strong>
                    {% if estadosCorp|length > 0 %}
                    <select class="radius" name="id_estado_corp" id="id_estado_corp" required>
                        <option value="">Select a state</option>                        
                        {% for e in estadosCorp %}
                        <option value="{{ e.id }}" {% if e.id == compania.id_estado_corp %}selected{% endif %}>{{ e.nombre }}</option>
                        {% endfor %}
                    </select>
                    {% else %}
                        <input class="radius" type="text" name="id_estado_corp" id="id_estado_corp" value="{{ compania.estado_corp }}" />
                    {% endif %}
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="ciudad_corp">
                    <strong>City</strong>
                    <input class="radius" type="text" name="ciudad_corp" id="ciudad_corp" value="{{ compania.ciudad_corp }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="contacto_corp">
                    <strong>Contact name</strong>
                    <input class="radius" type="text" name="contacto_corp" id="contacto_corp" value="{{ compania.contacto_corp }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="telefono_corp">
                    <strong>Contact phone &amp; ext</strong>
                    <input class="radius" type="text" name="telefono_corp" id="telefono_corp" value="{{ compania.telefono_corp }}" required />
                </label>
            </div>
        </div>
    </fieldset>
    <fieldset>
        <legend>Billing information</legend>
        <div class="row">
            <div class="large-12 columns">
                <input type="checkbox" id="chkFactIgualUsuario">
                <label for="chkFactIgualUsuario">Billing information is the same as corporate information</label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="direccion_fact">
                    <strong>Address</strong>
                    <input class="radius" type="text" id="direccion_fact" name="direccion_fact" value="{{ compania.direccion_fact }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="zip_fact">
                    <strong>Zip code</strong>
                    <input class="radius" type="text" id="zip_fact" name="zip_fact" value="{{ compania.zip_fact }}" required />
                </label>
            </div>
        </div> 
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="id_pais_fact"l>
                    <strong>Country</strong>
                    <select class="radius" name="id_pais_fact" id="id_pais_fact" data-target="#id_estado_fact" required>
                        <option value="">Select a country</option>                        
                        {% for p in paises %}
                        <option value="{{ p.id }}" {% if p.id == compania.id_pais_fact %}selected{% endif %}>{{ p.nombre|raw }}</option>
                        {% endfor %}
                    </select>
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="id_estado_fact">
                    <strong>State</strong>
                    {% if estadosFact|length > 0 %}
                    <select class="radius" name="id_estado_fact" id="id_estado_fact" required>
                        <option value="">Select a state</option>                        
                        {% for e in estadosFact %}
                        <option value="{{ e.id }}" {% if e.id == compania.id_estado_fact %}selected{% endif %}>{{ e.nombre }}</option>
                        {% endfor %}
                    </select>
                    {% else %}
                        <input class="radius" type="text" name="id_estado_fact" id="id_estado_fact" value="{{ compania.estado_fact }}" />
                    {% endif %}
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="ciudad_fact">
                    <strong>City</strong>
                    <input class="radius" type="text" name="ciudad_fact" id="ciudad_fact" value="{{ compania.ciudad_fact }}" required />
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label for="contacto_fact">
                    <strong>Contact name</strong>
                    <input class="radius" type="text" name="contacto_fact" id="contacto_fact" value="{{ compania.contacto_fact }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label for="telefono_fact">
                    <strong>Contact phone &amp; ext</strong>
                    <input class="radius" type="text" name="telefono_fact" id="telefono_fact" value="{{ compania.telefono_fact }}" required />
                </label>
            </div>
        </div>
    </fieldset>
    <fieldset>
        <legend>Company information</legend>
        <div class="row">
            <div class="medium-12 small-12 columns">
                <label for="tipo">
                    <strong>Type of business</strong>
                    <input class="radius" type="text" name="tipo" id="tipo" value="{{ compania.tipo }}" required />
                </label>
            </div>
        </div>
        <div class="row">
            <div class="medium-6 small-12 columns">
                <label>
                    <strong>How did you hear about us&quest;</strong>
                    <select class="radius" name="hear_about" id="hear_about">
                        <option>Select an option</option>
                        <option>You contacted me</option>
                        <option>Google</option>
                        <option>Bing</option>
                        <option>Yellow Pages</option>
                        <option>Friend</option>
                        <option>Word of mouth</option>
                        <option>Advertisement</option>
                        <option>Other</option>                                        
                    </select>
                </label>
            </div>
            <div class="medium-6 small-12 columns">
                <label>
                    <strong>Number of employees</strong>
                    <select class="radius" name="empleados" id="empleados">
                        <option>1</option>
                        <option>2</option>
                        <option>3</option>
                        <option>4</option>
                        <option>5</option>
                        <option>6</option>
                        <option>7</option>
                        <option>8</option>
                        <option>9</option>
                        <option>+10</option>
                    </select>
                </label>
            </div>
        </div>
    </fieldset>
    <input type="submit" id="btnGuardarUsuario" class="button default" value="Sign up" />        
</form>